﻿#language: ru

@OPC_hands

@ignore

Функционал: 06_OPC_hands.02.003 Обработка данных регистра датчиков ОПС по заданию

Сценарий: 06_OPC_hands.02.003 Обработка данных регистра по заданию
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Получение данных ОПС'
	Тогда открылось окно 'Данные датчиков ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Вариант распределения материалов' | 'Датчик'                     | 'Значение' | 'Обработано' | 'Создаваемые документы' |
		| 'Списывать выпуск по заданию'      | 'Выпуск смеси без пересчета' | '100'      | 'Да'         | 'Переработка'           |
	И я нажимаю на кнопку открытия поля "Документ1"
	Тогда открылось окно 'Переработка *'
	И элемент формы с именем "РабочийЦентр" стал равен "ПАЦ"
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'Ед. изм.' | 'Количество' | 'Номенклатура' | 'Спецификация' | 'Характеристика'    | 'Этап'         |
		| 'кг'       | '100,000'    | 'Смесь 50%'    | 'Смесь 50%'    | '<не используются>' | 'Нормализация' |
	И Я закрываю окно 'Переработка *'
	Тогда открылось окно 'Данные датчиков ОПС'
	И я нажимаю на кнопку открытия поля "Документ2"
	Тогда открылось окно 'Переработка *'
	И элемент формы с именем "РабочийЦентр" стал равен "Сырцех"
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'Ед. изм. 1' | 'Количество 1'   | 'Номенклатура'   | 'Спецификация'       | 'Характеристика' | 'Этап'  |
		| 'шт'         | '<Количество 1>' | 'Российский 50%' | 'Российский 50% Сыр' | 'Варка'          | 'Варка' |
	И я перехожу к закладке "Распределение материалов"
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура' | 'Характеристика'    |
		| 'Смесь 50%'    | '<не используются>' |
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловКоличество" имеет значение "100,000"
	И Я закрываю окно 'Переработка *'
	Тогда открылось окно 'Данные датчиков ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Вариант распределения материалов' | 'Датчик'                    | 'Значение' | 'Обработано' | 'Создаваемые документы' |
		| 'Списывать выпуск по заданию'      | 'Выпуск смеси с пересчетом' | '100'      | 'Да'         | 'Переработка'           |
	И я нажимаю на кнопку открытия поля "Документ1"
	Тогда открылось окно 'Переработка *'
	И элемент формы с именем "РабочийЦентр" стал равен "ПАЦ"
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'Количество' | 'Номенклатура' | 'Спецификация' | 'Характеристика'    | 'Этап'         |
		| '120,000'    | 'Смесь 50%'    | 'Смесь 50%'    | '<не используются>' | 'Нормализация' |
	И в таблице "Выпуск" я активизирую поле "Номенклатура"
	И Я закрываю окно 'Переработка *'
	Тогда открылось окно 'Данные датчиков ОПС'
	И я нажимаю на кнопку открытия поля "Документ2"
	Тогда открылось окно 'Переработка *'
	И элемент формы с именем "РабочийЦентр" стал равен "Сырцех"
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'Ед. изм.' | 'Ед. изм. 1' | 'Количество 1'   | 'Номенклатура'   | 'Спецификация'       | 'Характеристика' | 'Этап'  |
		| 'кг'       | 'шт'         | '<Количество 1>' | 'Российский 50%' | 'Российский 50% Сыр' | 'Варка'          | 'Варка' |
	И я перехожу к закладке "Распределение материалов"
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура' | 'Характеристика'    |
		| 'Смесь 50%'    | '<не используются>' |
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловКоличество" имеет значение "120,000"
	И Я закрываю окно 'Переработка *'
	Тогда открылось окно 'Данные датчиков ОПС'
	И я закрываю окно 'Данные датчиков ОПС'